Redmine - Defect #7665

Error 500
2011-02-20 14:39 - Thibaut Cuvelier

Status: Closed Start date: 2011-02-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 1.1.1
Description

Trying to update my Redmine installation to 1.1.x, I'm having trouble with project's show, i.e. when trying to reach URLs like
http://localhost/projects/launch.

I'm using Ruby 1.8.7, MySQL 5.0.84, Rails 2.3.5 on both Redmine 1.1.0 and 1.1.1 (r4888, said 1.1-stable). Here is the corresponding
log:

Processing ProjectsController#show (for localhost at 2011-02-20 14:23:04) [GET]
Parameters: {"action"=>"show", "id"=>"launch", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/show

ActionView: :TemplateError (undefined method “visible_custom_field_values' for #<Project:0x7£38a804
0eb0>) on line #19 of app/views/projects/show.rhtml:

16: <li><%=1(:label_subproject_plural) $>:

17: <%= @subprojects.collect{|p| link_to(h(p), :action => 'show', :id => p)}.Jjoin(", ") %>
</1li>

18: <% end %>

19: <% (@project.visible_custom_field_values.each do |custom_value| %>

20: <% 1f !'custom_value.value.blank? %>

21: <1i><%= custom_value.custom_field.name%>: <%=h show_value (custom_value) %$></1i>

22 8 <% end %>

app/views/projects/show.rhtml:19:in ~_run_rhtml_appd7viewsd7projectsd4d7showd6rhtml’

app/controllers/projects_controller.rb:166:in "~ show'

passenger (2.2.3) lib/phusion_passenger/rack/request_handler.rb:91:in ‘process_request'

passenger (2.2.3) lib/phusion_passenger/abstract_request_handler.rb:206:in "main_loop'

passenger (2.2.3) lib/phusion_passenger/railz/application_spawner.rb:376:in "~start_request_han
dler'

passenger (2.2.3) lib/phusion_passenger/railz/application_spawner.rb:334:in “handle_spawn_appl
ication'

[\S)

passenger (2.2.3) lib/phusion_passenger/utils.rb:182:in "“safe_fork'
passenger (2.2.3) lib/phusion_passenger/railz/application_spawner.rb:332:in "handle_spawn_appl
ication'

passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:351:in "_ send_ '

passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:351:in ‘main_loop'

passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:195:in "start_synchronously'
passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:162:in "start'

passenger (2.2.3) lib/phusion_passenger/railz/application_spawner.rb:213:in "start'
passenger (2.2.3) lib/phusion_passenger/spawn_manager.rb:261l:in "~ spawn_rails_application'
passenger (2.2.3) lib/phusion_passenger/abstract_server_collection.rb:126:1in "~lookup_or_add'
passenger (2.2.3) lib/phusion_passenger/spawn_manager.rb:255:in "~ spawn_rails_application'
passenger (2.2.3) lib/phusion_passenger/abstract_server_collection.rb:80:in "~synchronize'
passenger (2.2.3) lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
passenger (2.2.3) lib/phusion_passenger/spawn_manager.rb:254:in "~ spawn_rails_application'
passenger (2.2.3) lib/phusion_passenger/spawn_manager.rb:153:in " spawn_application'
passenger (2.2.3) lib/phusion_passenger/spawn_manager.rb:286:in "handle_spawn_application'
passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:351:in *__send_ '

passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:351:in ‘main_loop'

passenger (2.2.3) lib/phusion_passenger/abstract_server.rb:195:in “start_synchronously'

For both, | unpacked/checked out the Redmine version in its own directory, then made Apache look in that folder for Redmine. So, it
http://localhost/projects/launch
https://www.redmine.org/projects/redmine/repository/svn/revisions/4888

seems every single file is updated.

Did | do something wrong? Is there any bug? If you need any other detail, feel free to ask.

Related issues:
Is duplicate of Redmine - Defect #7297: Undefined method “visible_custom_fiel... Closed 2011-01-11

History

#1 - 2011-02-20 15:18 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Same as #7297.
